
<div class="bungkus-kontent" >
    <div class="row">
        <div class="col">
            <div class=" ms-5 mt-5 baris-pertama " style="margin-left: 220px;"> <b>cars ></b> list car </div>
        </div>
       
    </div>
    <div class="row pt-4">
        <div class="d-flex flex-row justify-content-between">
            <div class="daftar-mobil ms-5"><b>List Car</b></div>
            <div class="tombol-tambah" style="padding-left:200px ;">
                <a href="/add-form"><button type="button" class="btn btn-primary">Add new Car</button></a>
            </div>

        </div>
        
    </div>

    <div class="row pt-4">
        <div class="d-flex flex-row justify-content-between">
            <div class="kumpulan-tombol d-flex ms-5" role="group" aria-label="Basic outlined example" style="gap:20px">
                <button type="button" class="btn btn-outline-primary active">All</button>
                <button type="button" class="btn btn-outline-primary">Small</button>
                <button type="button" class="btn btn-outline-primary">Medium</button>
                <button type="button" class="btn btn-outline-primary">Large</button>
            </div>


        </div>
    </div>

  
  
  <div class="row d-flex pt-4 baris-kartu" style="grid-row-gap: 50px;" >
    <% cars.forEach(data =>{%>
    <div class="col-4">
        <div class="card">
            <img src="<%=  data.image %>">
            <div class="card-body">
                <p><%= data.name %>/Tipe Mobil</p>
                <p class="fw-bold">Rp. <%= data.harga %> / hari</p>

                <p>Updated <%= data.updatedAt.substring (8,10) + "-"+
                data.updatedAt.substring(5,7) + "-" + data.updatedAt.substring(0,4) %>

                
                </p>
                <div class="row">
                    <div class="col-6">
                        <!-- <a href="/api/cars/delete/<%= data.id %>"><button type="button" class="btn btn btn-outline-danger" style="width:100%;" >Delete</button></a> -->
                        <button type="button" class="btn btn btn-outline-danger deleteBtn" style="width:100%;" data-bs-toggle="modal" data-bs-target="#staticBackdrop" data-id-car="<%=data.id %>">Delete</button>
                    </div>

                   
                    <div class="col-6">
                        <a href="/edit-form/<%= data.id %>"><button type="button" class="btn btn-success" style="width:100%;">edit</button></a>
                    </div>
                </div>
                <div class="kumpulan-tombol d-flex  justify-content-between" role="group" aria-label="Basic outlined example" style="gap:16px">

                   
                    
                </div>
                
            </div>
        </div>
    </div>

    
    <% }) %>  
</div>


    <!-- <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static"
    data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="logo-modal">
                    <img src="#">
                </div>
                <div class="title-modal">
                    <h5>menghapus data mobil</h5>
                </div>
                <div class="ket-modal">
                    <p>setelah dihapus data mobil tidak dapat dikembalikan</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn yesBtn"
                            data-bs-dismiss="modal">ya</button>
                </div>
            </div>
        </div>
    </div> -->

    <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static"
                                                data-bs-keyboard="false" tabindex="-1"
                                                aria-labelledby="staticBackdropLabel" aria-hidden="true">
                                                <div class="modal-dialog modal-dialog-centered">
                                                    <div class="modal-content">
                                                        <div class="logo-modal">
                                                            <img src="./asset/image/img-BeepBeep.png">
                                                        </div>
                                                        <div class="title-modal">
                                                            <h5>Menghapus Data Mobil</h5>
                                                        </div>
                                                        <div class="ket-modal">
                                                            <p>Setelah dihapus, data mobil tidak dapat<br> dikembalikan.
                                                                Yakin ingin menghapus?</p>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-yes yesBtn"
                                                                data-bs-dismiss="modal">Ya</button>
                                                            <a href="/" class="btn btn-no" role="Button">Tidak</a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>




   
    
   
       
       
    
    <!-- <div class="row d-flex pt-4 baris-kartu">
        <div class="col-4">
            <div class="card">
                <img src="./asset/image/Group_16.png">
                <div class="card-body">
                    <p>Nama/Tipe Mobil</p>
                    <p class="fw-bold">Rp 430.000 / hari</p>

                    <p>Updated pada suatu saat</p>
                    <div class="row">
                        <div class="col-6">
                            <a><button type="button" class="btn btn btn-outline-danger" style="width:100%;" >Delete</button></a>
                        </div>
                        <div class="col-6">
                            <button type="button" class="btn btn-success" style="width:100%;">edit</button>
                        </div>
                    </div>
                    <div class="kumpulan-tombol d-flex  justify-content-between" role="group" aria-label="Basic outlined example" style="gap:16px">
  
                       
                        
                    </div>
                    
                </div>
            </div>
        </div>

        <div class="col-4">
            <div class="card">
                <img src="./asset/image/Group_16.png">
                <div class="card-body">
                    <p>Nama/Tipe Mobil</p>
                    <p class="fw-bold">Rp 430.000 / hari</p>

                    <p>Updated pada suatu saat</p>
                    <div class="row">
                        <div class="col-6">
                            <a><button type="button" class="btn btn btn-outline-danger" style="width:100%;" >Delete</button></a>
                        </div>
                        <div class="col-6">
                            <button type="button" class="btn btn-success" style="width:100%;">edit</button>
                        </div>
                    </div>
                    <div class="kumpulan-tombol d-flex  justify-content-between" role="group" aria-label="Basic outlined example" style="gap:16px">
  
                       
                        
                    </div>
                    
                </div>
            </div>
        </div>

        <div class="col-4">
            <div class="card">
                <img src="./asset/image/Group_16.png">
                <div class="card-body">
                    <p>Nama/Tipe Mobil</p>
                    <p class="fw-bold">Rp 430.000 / hari</p>

                    <p>Updated pada suatu saat</p>
                    <div class="row">
                        <div class="col-6">
                            <a><button type="button" class="btn btn btn-outline-danger" style="width:100%;" >Delete</button></a>
                        </div>
                        <div class="col-6">
                            <button type="button" class="btn btn-success" style="width:100%;">edit</button>
                        </div>
                    </div>
                    <div class="kumpulan-tombol d-flex  justify-content-between" role="group" aria-label="Basic outlined example" style="gap:16px">
  
                       
                        
                    </div>
                    
                </div>
            </div>
        </div>
        
        

    </div>

    <div class="row d-flex pt-4 baris-kartu">
        <div class="col-4">
            <div class="card">
                <img src="./asset/image/Group_16.png">
                <div class="card-body">
                    <p>Nama/Tipe Mobil</p>
                    <p class="fw-bold">Rp 430.000 / hari</p>

                    <p>Updated pada suatu saat</p>
                    <div class="row">
                        <div class="col-6">
                            <a><button type="button" class="btn btn btn-outline-danger" style="width:100%;" >Delete</button></a>
                        </div>
                        <div class="col-6">
                            <button type="button" class="btn btn-success" style="width:100%;">edit</button>
                        </div>
                    </div>
                    <div class="kumpulan-tombol d-flex  justify-content-between" role="group" aria-label="Basic outlined example" style="gap:16px">
  
                       
                        
                    </div>
                    
                </div>
            </div>
        </div>

        <div class="col-4">
            <div class="card">
                <img src="./asset/image/Group_16.png">
                <div class="card-body">
                    <p>Nama/Tipe Mobil</p>
                    <p class="fw-bold">Rp 430.000 / hari</p>

                    <p>Updated pada suatu saat</p>
                    <div class="row">
                        <div class="col-6">
                            <a><button type="button" class="btn btn btn-outline-danger" style="width:100%;" >Delete</button></a>
                        </div>
                        <div class="col-6">
                            <button type="button" class="btn btn-success" style="width:100%;">edit</button>
                        </div>
                    </div>
                    <div class="kumpulan-tombol d-flex  justify-content-between" role="group" aria-label="Basic outlined example" style="gap:16px">
  
                       
                        
                    </div>
                    
                </div>
            </div>
        </div>

        <div class="col-4">
            <div class="card">
                <img src="./asset/image/Group_16.png">
                <div class="card-body">
                    <p>Nama/Tipe Mobil</p>
                    <p class="fw-bold">Rp 430.000 / hari</p>

                    <p>Updated pada suatu saat</p>
                    <div class="row">
                        <div class="col-6">
                            <a><button type="button" class="btn btn btn-outline-danger" style="width:100%;" >Delete</button></a>
                        </div>
                        <div class="col-6">
                            <button type="button" class="btn btn-success" style="width:100%;">edit</button>
                        </div>
                    </div>
                    <div class="kumpulan-tombol d-flex  justify-content-between" role="group" aria-label="Basic outlined example" style="gap:16px">
  
                       
                        
                    </div>
                    
                </div>
            </div>
        </div>
        
        

    </div>
</div> -->